From 7c44c5616a04ff317d24b2835a9843d19f555ed1 Mon Sep 17 00:00:00 2001
From: Christoph Miebach <christoph.miebach@web.de>
Date: Tue, 10 Jan 2012 15:10:42 +0100
Subject: [PATCH] Modify strings.
 i.e.:
 Input && Codecs
 =>
 Input & Codecs

And composing the tooltip with a colon:

VideoSettings
=>
Video: Settings

This composed strings should be replaced by the (already existing) title like "Video Settings", this is just a simple hack.
---
 modules/gui/qt4/components/simple_preferences.cpp |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/modules/gui/qt4/components/simple_preferences.cpp b/modules/gui/qt4/components/simple_preferences.cpp
index 83d1911..88f8f05 100644
--- a/modules/gui/qt4/components/simple_preferences.cpp
+++ b/modules/gui/qt4/components/simple_preferences.cpp
@@ -73,7 +73,7 @@ SPrefsCatList::SPrefsCatList( intf_thread_t *_p_intf, QWidget *_parent, bool sma
     QToolButton * button = new QToolButton( this );                         \
     button->setIcon( QIcon( ":/prefsmenu/" #icon ) );                       \
     button->setText( label );                                               \
-    button->setToolTip( label + qtr("Preferences") );                       \
+    button->setToolTip( label + ": " + qtr("Preferences") );                       \
     button->setToolButtonStyle( Qt::ToolButtonTextUnderIcon );              \
     button->setIconSize( QSize( icon_height, icon_height ) );               \
     button->resize( icon_height + 6 , icon_height + 6 );                    \
@@ -89,9 +89,9 @@ SPrefsCatList::SPrefsCatList( intf_thread_t *_p_intf, QWidget *_parent, bool sma
                   cone_audio_64, 1 );
     ADD_CATEGORY( SPrefsVideo, qtr("Video"),
                   cone_video_64, 2 );
-    ADD_CATEGORY( SPrefsSubtitles, qtr("Subtitles && OSD"),
+    ADD_CATEGORY( SPrefsSubtitles, qtr("Subtitles & OSD"),
                   cone_subtitles_64, 3 );
-    ADD_CATEGORY( SPrefsInputAndCodecs, qtr("Input && Codecs"),
+    ADD_CATEGORY( SPrefsInputAndCodecs, qtr("Input & Codecs"),
                   cone_input_64, 4 );
     ADD_CATEGORY( SPrefsHotkeys, qtr("Hotkeys"),
                   cone_hotkeys_64, 5 );
-- 
1.7.1

